<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>DefaultCompletionName</key>
	<string>MyScreen</string>
	<key>Description</key>
	<string>New screen MVVM template</string>
	<key>Kind</key>
	<string>Xcode.IDEKit.TextSubstitutionFileTemplateKind</string>
	<key>Options</key>
	<array>
		<dict>
			<key>Description</key>
			<string>The name of the screen to create</string>
			<key>Identifier</key>
			<string>fileName</string>
			<key>Name</key>
			<string>New Screen Name:</string>
			<key>NotPersisted</key>
			<true/>
			<key>Required</key>
			<true/>
			<key>Type</key>
			<string>text</string>
		</dict>
		<dict>
			<key>Description</key>
			<string>The lowercased name of the screen to create</string>
			<key>Identifier</key>
			<string>lowercaseFileName</string>
			<key>Name</key>
			<string>Lowercased Screen Name:</string>
			<key>NotPersisted</key>
			<true/>
			<key>Required</key>
			<true/>
			<key>Type</key>
			<string>text</string>
		</dict>
		<dict>
			<key>Default</key>
			<string>___VARIABLE_fileName:identifier___</string>
			<key>Identifier</key>
			<string>productName</string>
			<key>Type</key>
			<string>static</string>
		</dict>
		<dict>
			<key>Default</key>
			<string>___VARIABLE_fileName:identifier___ViewController</string>
			<key>Description</key>
			<string>The view controller name</string>
			<key>Identifier</key>
			<string>viewControllerName</string>
			<key>Name</key>
			<string>View Controller Name:</string>
			<key>Required</key>
			<true/>
			<key>Type</key>
			<string>static</string>
		</dict>
		<dict>
			<key>Default</key>
			<string>___VARIABLE_fileName:identifier___ViewControllerFactory</string>
			<key>Description</key>
			<string>The view controller factory name</string>
			<key>Identifier</key>
			<string>viewControllerFactoryName</string>
			<key>Name</key>
			<string>View Controller Factory Name:</string>
			<key>Required</key>
			<true/>
			<key>Type</key>
			<string>static</string>
		</dict>
		<dict>
			<key>Default</key>
			<string>___VARIABLE_fileName:identifier___ViewModel</string>
			<key>Description</key>
			<string>The view model file name</string>
			<key>Identifier</key>
			<string>viewModelName</string>
			<key>Name</key>
			<string>View Model Name:</string>
			<key>Required</key>
			<true/>
			<key>Type</key>
			<string>static</string>
		</dict>
	</array>
	<key>Platforms</key>
	<array>
		<string>com.apple.platform.iphoneos</string>
	</array>
	<key>SortOrder</key>
	<string>0</string>
	<key>Summary</key>
	<string>New screen MVVM template</string>
</dict>
</plist>
